Subject: Re: Possible git-diff bug when using exit-code with diff filters

From: Junio C Hamano <[email-masked]>
Date: Sun, 21 Apr 2024 11:17:48 -0700

René Scharfe <[email-masked]> writes:

> You can more easily reproduce it by setting the environment variable
> GIT_EXTERNAL_DIFF or the configuration setting diff.external -- no
> attributes needed.

Indeed.

A much simpler fix may be to declare that these two features are
imcompatible and fail the execution upfront, instead of just
silently ignoring one of the two options.

As a person who is very much used to the external diff not
contributing to the exit status (who also invented the external diff
driver interface), I would be a wrong person to judge if such a
simplified approach is desirable, of course, but just throwing it
out as a food for thought.

Thanks.